Subject: RE: [ipv6-dir] Re: Updated document

From: [email-masked]
Date: Fri, 6 Jan 2006 16:39:56 +0200

Thomas,

I took this as input:

> Furthermore, it would be very 
> helpful and useful for our further collaboration if the IETF could 
> inform us of their standards plan regarding IPv6. We will also inform 
> the IETF of our ideas in the near future and then commence creating 
> Internet drafts to define our requirements.

What I think should be covered, to some extent, are the areas of work
the IETF is doing and invite them to participate in the relevant working
groups in order that their requirements are met.  At least that is how
I read the questions wrt QoS signaling.

For mobility & multihoming, it would be good to point out the active
areas in the IETF, not propose one way or another as the prefered
mechanism, but more to list what we are doing, so that they can
evaluate them and determine what fits there needs.

John

>-----Original Message-----
>From: ext Thomas Narten [mailto:[email-masked]] 
>Sent: 06 January, 2006 16:35
>To: Scott W Brim
>Cc: Kurt Erik Lindqvist; Loughney John (Nokia-NRC/Helsinki); 
>Leslie Daigle; IAB IAB; Margaret Wasserman; Andersson Loa; 
>Bradner Scott; [email-masked]
>Subject: Re: [ipv6-dir] Re: Updated document 
>
>I just tried to review this thread, the current document, and 
>the liaison statements that are prompting our response. I must 
>say, it's a little bit unclear what ITU-T is asking for, and 
>I'm a little concerned about the current response and what it 
>says (or more specifically, how ITU-T will use it and whether 
>the results will be what the IETF wants).
>
>From what I was able to figure out, the most relevant liaison 
>statement is:
>
>Scott W Brim <[email-masked]> writes:
>
>> For those who might not have seen them, this came out of
>> https://datatracker.ietf.org/public/liaison_detail.cgi?detail_id=127
>> and https://datatracker.ietf.org/documents/LIAISON/file182.pdf
>
>file182.pdf says:
>
>> At WTSA-04, SG 13 was entrusted a new Question (Q.9/13, 
>Impact of IPv6 
>> to an NGN) which mainly aims at developing requirements for an NGN 
>> using IPv6. Because Q.9/13 is in the starting phase of studying the 
>> use of IPv6 for NGN, the major concerns are currently to define how
>> IPv6 can be used in the NGN and what the requirements of 
>IPv6 for the 
>> NGN are. We believe that this is not overlapping with IETF standards 
>> activities, rather our activities would be seen as complementary for 
>> harmonizing IPv6 related standards relevant to NGN.
>> 
>> It would be very much appreciated if the IETF could provide input to 
>> study the impact of IPv6 to an NGN. Furthermore, it would be very 
>> helpful and useful for our further collaboration if the IETF could 
>> inform us of their standards plan regarding IPv6. We will 
>also inform 
>> the IETF of our ideas in the near future and then commence creating 
>> Internet drafts to define our requirements.
>
>From the above, it's far from clear what we should be saying. 
>Or is there another document that outlines their request more clearly?
>
>Looking at the current proposed response, I worry that it 
>references too many documents that aren't even "IETF 
>standards". Should we be doing that?
>
>E.g., the document says:
>
>> Basic support for Mobile subnetworks is defined in RFC 3963.  The 
>> approach taken is an extension to Mobile IPv6, and does not 
>> necessarily scale to all network environments.  An alternative 
>> approach, based on creative application of the routing protocol 
>> standards, is implemented in the commercial Boeing Connexion service.
>
>Should be  mentioning this explicitely? Are we somehow endorsing this?
>
>Also, the multihoming section says too much and uses wording 
>that will be a hot button for some. E.g.,
>
>> The IETF is currently considering extensions and, in the 
>longer term, 
>> potential alternatives, to Mobile IPv6.
>
>This is a very loaded statement and I'm not sure I even agree 
>with it. It all depends on how you define "mobility". More to 
>the point, such a statement in a liaison from the IETF needs 
>review from our mobility community, as I suspect they will not 
>agree with the slant of the wording. And is this something we 
>should be communicating to ITU-T?
>
>Same goes for calling "mobike" and "alternative to" mobile IP.
>
>The multihoming section also has too much text, IMO, some of 
>which I don't think we need to include. Like the mention of 
>addresss allocation  and stuff that is RIR territory.  I'm not 
>sure why it's included, and I not convinced its an adequate summary.
>
>At a 50,000 foot level, I think we'd be better served with a 
>set of pointers to the (relevant) approved IETF standards 
>track documents, maybe mention some key IDs that are near 
>completion on the standards track, but we need to be much more 
> reserved in mentioning of experimental track documents and 
>random IDs that do not have strong traction in the IETF at the 
>present time.
>
>I think it is a fair question to ask how this statement  
>should be mentioning/positioning HIP.
>
>Finally, shouldn't this statement be reviewed by the IPv6 
>community prior to it being sent out? It would not be good to 
>have the response "surprise" our own community.
>
>Again, from the 50K level, how do we expect ITU-T to use our 
>response, and what will they do with it? Will it have the 
>desired (from our
>perspective) result?
>
>Thomas
>

_______________________________________________
ipv6-dir mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipv6-dir

---

From: Thomas Narten <[email-masked]>
Date: Fri, 06 Jan 2006 09:53:22 -0500

Hi John.

> I read the questions wrt QoS signaling.

This makes sense to me. And FWIW, I think most of the proposed QOS
text is OK. But on the flow label,  I wonder if there is too much
text, even if it is intended to be tutorial. Can't we just cite the
relevant documents and be done with that?

> evaluate them and determine what fits there needs.

I agree. Right now, I think it would be hard to tell from the text
what those active areas are and how to position their relative
importance/applicability. We should be pointing folk to the WGs
(rather than specific documents), and let them do their own
followup. Later, once they have more specific questions, we can
elaborate. But given the vagueness of what is being asked, we need to
be just as careful to not be too specific in our response. Or we risk
not mentioning some efforts or overemphasizing another.

Thomas